org.encog.util.logging

## Class EncogLogging

- java.lang.Object
- - org.encog.util.logging.EncogLogging

-     public class EncogLogging
      extends Object

  This class provides logging for Encog. Programs using Encog can make use of it as well. All logging is passed on to the current logging plugin. By default the SystemLoggingPlugin is used.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `LEVEL_CRITICAL` Critical logging logs errors that cannot be recovered from.
    `static int` | `LEVEL_DEBUG` The lowest level log type.
    `static int` | `LEVEL_DISABLE` Logging is disabled at this level.
    `static int` | `LEVEL_ERROR` Error level tells you about errors, less important to critical.
    `static int` | `LEVEL_INFO` Info logging tells you when major processes start and stop.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EncogLogging()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCurrentLevel()`
    `static void` | `log(int level, String message)` Log the message.
    `static void` | `log(int level, Throwable t)` Log the error.
    `static void` | `log(Throwable t)` Log the error at ERROR level.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LEVEL_DEBUG

          public static final int LEVEL_DEBUG

      The lowest level log type. Debug logging provides low-level Encog diagnostics that may slow performance, but allow you to peer into the inner workings.
      See Also:
        Constant Field Values

    - #### LEVEL_INFO

          public static final int LEVEL_INFO

      Info logging tells you when major processes start and stop.
      See Also:
        Constant Field Values

    - #### LEVEL_ERROR

          public static final int LEVEL_ERROR

      Error level tells you about errors, less important to critical.
      See Also:
        Constant Field Values

    - #### LEVEL_CRITICAL

          public static final int LEVEL_CRITICAL

      Critical logging logs errors that cannot be recovered from.
      See Also:
        Constant Field Values

    - #### LEVEL_DISABLE

          public static final int LEVEL_DISABLE

      Logging is disabled at this level.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EncogLogging

          public EncogLogging()

  - ### Method Detail

    - #### log

          public static final void log(int level,
                 String message)

      Log the message.
      Parameters:
        `level` - The level to log at.
        `message` - The message to log.

    - #### log

          public static final void log(int level,
                 Throwable t)

      Log the error.
      Parameters:
        `level` - The level to log at.
        `t` - The exception to log.

    - #### log

          public static final void log(Throwable t)

      Log the error at ERROR level.
      Parameters:
        `t` - The exception to log.

    - #### getCurrentLevel

          public final int getCurrentLevel()

      Returns:
        The current logging level.

Copyright © 2014. All Rights Reserved.